{% load static %}

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width,initial-scale=1.0">

    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
          integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
    <link href="https://fonts.googleapis.com/css?family=Open+Sans&display=swap" rel="stylesheet">
    <link href="https://fonts.googleapis.com/css?family=Montserrat:500,600,800" rel="stylesheet">
    <link rel="stylesheet" href="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/themes/smoothness/jquery-ui.css">
    <link rel="stylesheet" href="{% static 'redesigncss.css' %}">
    {% block stylecss %}{% endblock %}

    <title>{% block title %}{% endblock %} - Thami Endamora</title>
</head>
<body>
    <nav class="navbar navbar-expand-sm navbar-light">
        <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#collapsibleNavbar">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse justify-content-center" id="collapsibleNavbar">
            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'index' %}">STORY 6</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'about' %}">STORY 7</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'books' %}">STORY 8</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="{% url 'blog' %}">STORY 10</a>
                </li>

                {% if user.is_authenticated %}
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'userlogout' %}">LOGOUT</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" id="hellouser">WELCOME, {{ user.username }}!</a>
                    </li>
                {% else %}
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'userregister' %}">REGISTER</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{% url 'userlogin' %}">LOGIN</a>
                    </li>
                {% endif %}
            </ul>
        </div>
    </nav>

    <div class="jumbotron jumbotron-fluid">
        <div class="container">
            <h1 id="jumbotitle" class="display-4">{% block jumbotitle %}{% endblock %}</h1>
            {% block jumbocontent %}{% endblock %}
        </div>
    </div>
    {% block content %}{% endblock %}

    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://ajax.googleapis.com/ajax/libs/jqueryui/1.12.1/jquery-ui.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.3.1/js/bootstrap.min.js"></script>
    {% block script %}{% endblock %}
</body>
</html>